#include <stdio.h>
#include <string.h>
#include "Item_compiler.h"
#include "STACK.h"

int main(int argc, char *argv[])
{
    FILE *src = fopen(argv[1], "r");
    FILE *obj = fopen("./b.out","w");

    char *line = NULL;
    size_t n = 0;
    int i, l_len;
    while ((l_len = getline(&line, &n, src)) != -1)
    {
	STACKinit(l_len);
	for (i = 0; i < l_len; i++)
	{
	    if (line[i] == ')')
		fprintf(obj, " %c ", STACKpop());
	    if ((line[i] == '=') || (line[i] == '+') || (line[i] == '*'))
		STACKpush(line[i]);
	    if (((line[i] >= '0') && (line[i] <= '9')) || ( (line[i] >= 'a') && (line[i] <= 'z')))
		fprintf(obj, "%c", line[i]);
	}

	free(line);
	STACKfree();
    }

    fclose(src);
    fclose(obj);

    return 0;
}
